Bug 1173852 - Bluetooth Adapter BCM20702 not found on T430s
Summary: Bluetooth Adapter BCM20702 not found on T430s
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1208173 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-13 14:33 UTC by Werner Gold
Modified: 2016-12-20 13:04 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:04:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Werner Gold 2014-12-13 14:33:15 UTC
Description of problem:

Control-Center can't fild bluetooth adapter.

Version-Release number of selected component (if applicable):


How reproducible:

export LANC=C; gnome-control-center
klick "Bluetooth"
Empty window saying "Keine Bluetooth-Adapter gefunden"
(No bluetooth adapters found)

lsusb says:
Bus 001 Device 003: ID 0a5c:21e6 Broadcom Corp. BCM20702 Bluetooth 4.0 [ThinkPad]

But problem to load firmware:
[root@jerry ~]# journalctl | grep BCM
Dez 13 15:05:06 jerry.gold kernel: bluetooth hci0: Direct firmware load for brcm/BCM20702A0-0a5c-21e6.hcd failed with error -2
Dez 13 15:05:06 jerry.gold kernel: Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21e6.hcd not found

Not sure if this is just a control-center issue or a kernel problem.

Comment 1 Stan King 2015-02-01 20:46:19 UTC
I'm seeing something similar with Fedora 21 (with xfce) and device 0a5c:21e8.

I've applied some firmware found on the net, and the resulting dmesg output looks better:

Bluetooth: hci0: BCM: firmware hci_ver=06 hci_rev=153a lmp_ver=06 lmp_subver=220e

However, still no bluetooth adapters found by control-center.  A USB dongle that used to work (0a12:0001 Cambridge Silicon Radio) is also not found.

Other possibly relevant fact: I'm using the xfce environment.  Perhaps gnome-control-center is missing a library that it needs for detection of bluetooth adapters.

Comment 2 Mihai Harpau 2015-02-02 01:07:55 UTC
See for details https://bugzilla.redhat.com/show_bug.cgi?id=1133378

Comment 3 Bastien Nocera 2015-02-04 09:25:14 UTC
(In reply to Stan King from comment #1)
<snip>
> Other possibly relevant fact: I'm using the xfce environment.  Perhaps
> gnome-control-center is missing a library that it needs for detection of
> bluetooth adapters.

It needs services provided by gnome-settings-daemon. If gnome-settings-daemon isn't running, it won't work. In any case, gnome-control-center doesn't load firmwares, that's not its job. The kernel should ship the firmware.

Comment 4 Josh Boyer 2015-02-04 13:17:13 UTC
The kernel package hasn't shipped firmware in a very long time.

Comment 5 Josh Boyer 2015-04-01 15:25:15 UTC
*** Bug 1208173 has been marked as a duplicate of this bug. ***

Comment 6 Jan Pokorný [poki] 2015-06-09 15:57:22 UTC
User of T530[*] here.

Bluetooth device[**] is recognized and basic commands of bluetoothctl
seems to work, however the kerne[***] also indicates a firmware issue
for me:

[693475.116286] usbcore: registered new interface driver btusb
[693475.121429] bluetooth hci0: Direct firmware load for brcm/BCM20702A0-0a5c-21e6.hcd failed with error -2
[693475.121435] Bluetooth: hci0: BCM: patch brcm/BCM20702A0-0a5c-21e6.hcd not found

[*]
# dmidecode -s bios-version; dmidecode -s bios-release-date
> G4ET93WW (2.53 )
> 02/22/2013

[**]
# lsusb | grep Blue
> Bus 003 Device 003: ID 0a5c:21e6 Broadcom Corp. BCM20702 Bluetooth 4.0 [ThinkPad]

[***]
# uname -r
> 4.0.4-301.fc22.x86_64

Comment 7 Frank Murphy 2015-08-10 06:43:16 UTC
Hope I'm not hijacking 

I get a similar error but Bluetooth appears to work as in sending files from phone to box (Frankenfedora-diy-pc)  Gateway Motherboard


I have downloaded a patch from:
http://plugable.com/2014/06/23/plugable-usb-bluetooth-adapter-solving-hfphsp-profile-issues-on-linux


lsusb | grep Broad
Bus 003 Device 003: ID 0a5c:21e8 Broadcom Corp. BCM20702A0 Bluetooth 4.0

journalctl -b | grep bluetooth
systemd-modules-load[598]: Inserted module 'bluetooth'
kernel: bluetooth hci0: Direct firmware load for brcm/BCM20702A1-0a5c-21e8.hcd failed with error -2
bluetoothd[839]: Bluetooth daemon 5.32

dmidecode -s bios-version; dmidecode -s bios-release-date
F7a
02/25/2014

Comment 8 Fedora End Of Life 2015-11-04 10:54:51 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Stan King 2015-11-08 18:51:09 UTC
I think it's safe to say that this Bluetooth device is not supported by Linux, without jumping through various hoops that supply the device with a firmware patch.  Except for those whose device is on their motherboard, it might be easier to move on to a device that is supported.

Comment 10 Fedora End Of Life 2015-12-02 05:51:21 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Jaroslav Henner 2016-05-18 08:44:32 UTC
This happens on my Lenovo X230 and Fedora 23. AFAIK this HW should be supported by Red Hat.

# dmesg
[281561.768931] Bluetooth: hci0: BCM: chip id 63
[281561.784884] Bluetooth: hci0: BCM20702A
[281561.785943] Bluetooth: hci0: BCM20702A1 (001.002.014) build 0000
[281561.786046] bluetooth hci0: Direct firmware load for brcm/BCM20702A1-0a5c-21e6.hcd failed with error -2
[281561.786051] Bluetooth: hci0: BCM: Patch brcm/BCM20702A1-0a5c-21e6.hcd not found

# dmidecode -s bios-version; dmidecode -s bios-release-date
G2ET95WW (2.55 )
07/09/2013

# lsusb | grep Blue
Bus 001 Device 020: ID 0a5c:21e6 Broadcom Corp. BCM20702 Bluetooth 4.0 [ThinkPad]

Comment 12 Fedora End Of Life 2016-11-24 11:19:50 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2016-12-20 13:04:40 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.